BasePartitions (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.transform

## Class BasePartitions<R extends BaseRowIterator<?>,I extends BasePartitionIterator<? extends BaseRowIterator<?>>>

- java.lang.Object
- - org.apache.cassandra.db.transform.BasePartitions<R,I>

- All Implemented Interfaces:
    java.lang.AutoCloseable, java.util.Iterator<R>, BasePartitionIterator<R>, CloseableIterator<R>
  Direct Known Subclasses:
    FilteredPartitions

      public abstract class BasePartitions<R extends BaseRowIterator<?>,I extends BasePartitionIterator<? extends BaseRowIterator<?>>>
      extends java.lang.Object
      implements BasePartitionIterator<R>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.cassandra.db.transform.Stack.MoreContentsHolder[]` | `EMPTY_MORE_CONTENTS_HOLDERS`
    `static Transformation[]` | `EMPTY_TRANSFORMATIONS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasePartitions(I input)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected BaseRowIterator<?>` | `applyOne(BaseRowIterator<?> value, Transformation transformation)` apply the relevant method from the transformation to the value.
    `void` | `close()`
    `protected boolean` | `hasMoreContents()`
    `boolean` | `hasNext()`
    `O` | `next()`
    `protected java.lang.Throwable` | `runOnClose(int length)` run the corresponding runOnClose method for the first length transformations.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.db.partitions.BasePartitionIterator

      `close`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, next, remove`

- - ### Field Detail

    - #### EMPTY_TRANSFORMATIONS

          public static final Transformation[] EMPTY_TRANSFORMATIONS

    - #### EMPTY_MORE_CONTENTS_HOLDERS

          public static final org.apache.cassandra.db.transform.Stack.MoreContentsHolder[] EMPTY_MORE_CONTENTS_HOLDERS

  - ### Constructor Detail

    - #### BasePartitions

          public BasePartitions(I input)

  - ### Method Detail

    - #### applyOne

          protected BaseRowIterator<?> applyOne(BaseRowIterator<?> value,
                                                Transformation transformation)

      apply the relevant method from the transformation to the value. used in hasMoreContents to apply the functions that follow the MoreContents

    - #### runOnClose

          protected java.lang.Throwable runOnClose(int length)

      run the corresponding runOnClose method for the first length transformations. used in hasMoreContents to close the methods preceding the MoreContents

    - #### hasNext

          public final boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<R extends BaseRowIterator<?>>`

    - #### close

          public final void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`

    - #### next

          public final O next()

      Specified by:
        `next` in interface `java.util.Iterator<O extends V>`

    - #### hasMoreContents

          protected final boolean hasMoreContents()

Copyright © 2018 The Apache Software Foundation